Bug 3434 - Mono Compiler crashes when using a DelegateType as a method call
Summary: Mono Compiler crashes when using a DelegateType as a method call
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2012-02-13 18:29 UTC by Eric Beisecker
Modified: 2012-02-17 11:28 UTC (History)
1 user (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Mono Compiler Output (9.79 KB, text/plain)
2012-02-13 18:29 UTC, Eric Beisecker
Details

Description Eric Beisecker 2012-02-13 18:29:05 UTC
Created attachment 1356 [details]
Mono Compiler Output

Current Behavior: When using a Delegate type declaration as a Method call the
mono compiler crashes.

Expected Behavior: The Compiler should throw an error along the lines of
"Namespace.DelegateType is a 'type' but is used like a 'variable'"

Sample Code 

namespace Test
{
    public delegate void SomeDel(Action a);

    public class TestClass
    {
         public void TestMethod()
         {
            SomeDel(() => { int i = 0; };
         }
    }
} 

Mono 2.10.8
MonoDevelop 2.8.6.4
Comment 1 Marek Safar 2012-02-17 11:28:30 UTC
Already fixed in master but improved the error message

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.